<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:b="http://bootsfaces.net/ui"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">

<ui:composition template="template.xhtml">

	<ui:define name="conteudo">
	
		<h:form id="formItens">

			<b:container fluid="true">

				<b:dataTable value="#{pessoaFisicaBean.pessoaFisicas}"
					class="editablePessoaTable" id="dataTable" var="pessoas"
					fixedHeader="true" responsive="true" searching="true" excel="true"
					csv="true" pdf="true" columnVisibility="true" copy="true"
					print="true">
					<b:dataTableColumn>
						<f:facet name="header">
							<h:outputText value="NOME" />
						</f:facet>
						<h:outputText value="#{pessoas.nome}" />
					</b:dataTableColumn>

					<b:dataTableColumn>
						<f:facet name="header">
							<h:outputText value="CPF" />
						</f:facet>
						<h:outputText value="#{pessoas.cpf}">
							<f:converter converterId="cpfConverter" />
						</h:outputText>
					</b:dataTableColumn>

					<b:dataTableColumn>
						<f:facet name="header">
							<h:outputText value="AÇÕES" />
						</f:facet>
						<b:commandButton action="#{pessoaFisicaBean.detalhar(pessoas)}"
							value="Editar" icon="edit" ajax="true"
							update="@(.editablePessoaTable)"
							onclick="ajax:car.edit(); javascript:return false;">
						</b:commandButton>

						<b:commandButton value="Delete" icon="trash"
							action="#{pessoaFisicaBean.remover(pessoas)}"
							onclick="return confirm('Deseja realmente deletar a pessoa: #{pessoas.nome}?')">
							<f:ajax execute="@this" render="@form" />
						</b:commandButton>
					</b:dataTableColumn>
				</b:dataTable>

			</b:container>

		</h:form>

	</ui:define>

</ui:composition>

</html>